Bug 1006236 - The option "--with-container-uuid" must be placed at the first position for command "oo-devel-node app-create"
The option "--with-container-uuid" must be placed at the first position for c...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jhon Honce
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 05:43 EDT by Qiushui Zhang
Modified: 2015-05-14 19:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:50:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qiushui Zhang 2013-09-10 05:43:39 EDT
Description of problem:
Try to create app with command "oo-devel-node app-create"
oo-devel-node app-create --with-app-uuid e335712492e011e1bae700262df50034  --with-container-uuid 1c3a5f7a92e111e188d800262df50034  --with-namespace qiuzhang  --with-app-name myapp1  --with-uid 15555
It will end up with an error "Missing --with-container-uuid UUID"
This will cause confusing if one does not notice this problem.

Version-Release number of selected component (if applicable):
devenv_3762

How reproducible:
always

Steps to Reproduce:
1.On instance, try to create app with "oo-devel-node app-create --with-app-uuid e335712492e011e1bae700262df50034  --with-container-uuid 1c3a5f7a92e111e188d800262df50034  --with-namespace qiuzhang  --with-app-name myapp1  --with-uid 15555"
2.
3.

Actual results:
It promps "Missing --with-container-uuid UUID"

Expected results:
1. The options should work no matter what the sequence is
2. If this option must be in the first place for some reason, please provide a clear hint message or help message.


Additional info:
[root@ip-10-184-32-232 openshift]# oo-devel-node app-create --with-app-uuid e335712492e011e1bae700262df50033  --with-container-uuid 1c3a5f7a92e111e188d800262df50033  --with-namespace qiuzhang  --with-app-name myapp1  --with-uid 15555
Missing --with-container-uuid UUID

Usage: oo-devel-node app-create --with-container-uuid UUID --with-namespace NAMESPACE \
     --with-app-uuid UUID --with-app-name NAME [--with-uid UID] [--with-container-name NAME] \
     [--with-quota-blocks BLOCKS] [--with-quota-files FILES]
[root@ip-10-184-32-232 openshift]# oo-devel-node app-create --with-container-uuid 1c3a5f7a92e111e188d800262df50033 --with-app-uuid e335712492e011e1bae700262df50033  --with-namespace qiuzhang  --with-app-name myapp1  --with-uid 15555[root@ip-10-184-32-232 openshift]# ls /var/lib/openshift/
1c3a5f7a92e111e188d800262df50033  522eadccf85c2198bd000007  522eae15f85c2198bd000039  522eae94f85c2198bd00006b  abc.txt        last_access.log  php1-qiuzhang  php3-qiuzhang  php5-qiuzhang
1c3a5f7a92e111e188d800262df50034  522eadf4f85c2198bd000020  522eae3bf85c2198bd000052  522eaebbf85c2198bd000084  app1-qiuzhang  myapp1-qiuzhang  php2-qiuzhang  php4-qiuzhang  php6-qiuzhang
[root@ip-10-184-32-232 openshift]#
Comment 1 Jhon Honce 2013-09-10 11:21:41 EDT
Requirement is from commander gem.
All example syntax output shows item first.

--with-container-uuid description now states requirement.
Comment 3 Qiushui Zhang 2013-09-11 00:55:11 EDT
Tested on devenv_3770
oo-devel-node --help

  GLOBAL OPTIONS:
	
    -c, --with-container-uuid UUID 
        Unique identifier for the gear, if provided must be first argument

Mark it as verified.

Note You need to log in before you can comment on or make changes to this bug.